Closed Bug 1861861 Opened 4 months ago Closed 4 months ago

Update PDF.js to new version 0329b5e130d4db21b897967daa02e6652c1f44af from 2023-10-29 10:59:32

Categories

(Firefox :: PDF Viewer, enhancement)

enhancement

Tracking

()

RESOLVED FIXED
121 Branch
Tracking Status
firefox121 --- fixed

People

(Reporter: update-bot, Assigned: calixte)

References

(Blocks 1 open bug)

Details

(Whiteboard: [3pl-filed][task_id: Y6URgPgrSSqLgmUYBBKXnQ])

Attachments

(1 file)

This update covers 29 commits. Here are the overall diff statistics, and then the commit information.


toolkit/components/pdfjs/content/PdfJsDefaultPreferences.sys.mjs | 1 -
toolkit/components/pdfjs/content/build/pdf.mjs | 17 +-
toolkit/components/pdfjs/content/build/pdf.scripting.mjs | 4 +-
toolkit/components/pdfjs/content/build/pdf.worker.mjs | 30 +-
toolkit/components/pdfjs/content/web/viewer-geckoview.css | 680 ++++----
toolkit/components/pdfjs/content/web/viewer-geckoview.mjs | 70 +-
toolkit/components/pdfjs/content/web/viewer.css | 778 ++++-----
toolkit/components/pdfjs/content/web/viewer.html | 2 +-
toolkit/components/pdfjs/content/web/viewer.mjs | 89 +-
toolkit/components/pdfjs/moz.yaml | 4 +-
10 files changed, 831 insertions(+), 844 deletions(-)


6dff90ac1f671dd0c06111e396d2af8ffb9f02ba by Tim van der Meij

https://github.com/mozilla/pdf.js/commit/6dff90ac1f671dd0c06111e396d2af8ffb9f02ba
Authored: 2023-10-28 21:02:51 +0200
Committed: 2023-10-28 21:08:02 +0200

Upgrade setup-node to version 4 in the GitHub Actions workflows

This major version mainly involves not using Node.js 16 internally
anymore, which will be end of life on September 11th. This prevents the
workflows from using an unsupported version of Node.js as well as
deprecation warnings getting printed in the workflow logs.

For more information please refer to
https://github.com/actions/setup-node/releases/tag/v4.0.0 and
https://github.com/actions/setup-node/issues/850.

Files Modified:

  • .github/workflows/ci.yml
  • .github/workflows/publish_website.yml

4845d35c50d1e75ba5c521d7b07eee40c29dc77e by Tim van der Meij

https://github.com/mozilla/pdf.js/commit/4845d35c50d1e75ba5c521d7b07eee40c29dc77e
Authored: 2023-10-28 20:15:25 +0200
Committed: 2023-10-28 20:15:25 +0200

Fix the configuration path in the GitHub Actions workflow for the Fluent linter

I noticed the following warning in the GitHub Actions workflow logs:

Configuration file not found: .github/linter_config.yml

The configuration file is called fluent_linter_config.yml instead, so
this commit fixes the path so it points to the correct file.

Fixes 487816b.

Files Modified:

  • .github/workflows/fluent_linter.yml

9d6cdf216d501c410bfc89fc42b40b9f9ecae3b6 by Tim van der Meij

https://github.com/mozilla/pdf.js/commit/9d6cdf216d501c410bfc89fc42b40b9f9ecae3b6
Authored: 2023-10-28 20:02:08 +0200
Committed: 2023-10-28 20:10:15 +0200

Use Python 3.12 in the GitHub Actions workflow for the Fluent linter

The current stable version of Python is Python 3.12, see
https://www.python.org/downloads, so we should switch to that since
Python 3.10 is older and only receives security updates.

Files Modified:

  • .github/workflows/fluent_linter.yml

4be44a370e9fab55ed7686b5fbdf6a05a00cdbfc by Tim van der Meij

https://github.com/mozilla/pdf.js/commit/4be44a370e9fab55ed7686b5fbdf6a05a00cdbfc
Authored: 2023-10-28 20:01:40 +0200
Committed: 2023-10-28 20:02:39 +0200

Improve consistency in the GitHub Actions workflow for the Fluent linter

This commit tweaks the Fluent linter workflow to match the other
workflow files we have, so we make sure the steps have a newline between
them for better readability and align names and descriptions of steps
with how they are called in the other workflow files we have.

Files Modified:

  • .github/workflows/fluent_linter.yml

c1fef7d2f2e213a460165e050032fbf479dcc719 by Jonas Jenwald

https://github.com/mozilla/pdf.js/commit/c1fef7d2f2e213a460165e050032fbf479dcc719
Authored: 2023-07-27 12:46:00 +0200
Committed: 2023-10-28 14:41:46 +0200

Guard navigator-object accesses in src/-files (issue 15728)

There are environments that include incomplete polyfills for the navigator-object, which may thus cause the PDF.js library to break.
Despite that clearly not being our fault, it may still result in bug reports filed against the PDF.js project; see e.g. 15728.

Currently this even seem to affect the latest version of Node.js; see e.g. [here].

Please note: Thanks to the pre-processor none of these changes affect the Firefox PDF Viewer, however it does add "overhead" when working with and reviewing the affected code (which is why I'm not crazy about this).

Files Modified:

  • src/display/font_loader.js
  • src/shared/util.js

d7b39fe696e13e0be808e263aacb9839239a9cc8 by Jonas Jenwald

https://github.com/mozilla/pdf.js/commit/d7b39fe696e13e0be808e263aacb9839239a9cc8
Authored: 2023-10-27 23:34:49 +0200
Committed: 2023-10-28 10:26:34 +0200

Update the webpack example to account for outputting of JavaScript modules (PR 17055 follow-up)

Please note: While following the steps in the README still works with this patch, in the sense that the example runs and successfully renders a PDF document, I unfortunately cannot tell if it illustrates Webpack best practices.

Files Added:

  • examples/webpack/main.mjs

Files Deleted:

  • examples/webpack/main.js
  • src/pdf.worker.entry.js

Files Modified:

  • examples/webpack/README.md
  • examples/webpack/package.json
  • examples/webpack/webpack.config.js
  • gulpfile.mjs

9ec2fda09f6eab90af3117bbff9771a682bbce05 by Jonas Jenwald

https://github.com/mozilla/pdf.js/commit/9ec2fda09f6eab90af3117bbff9771a682bbce05
Authored: 2023-10-25 12:33:07 +0200
Committed: 2023-10-28 10:26:34 +0200

Simplify the l10n-handling in the mobile-viewer example

  • Remove the errorWrapper-element, since it simplifies the example and is consistent with the default viewer; see PR 15533.

  • Simplify the l10n-handling, since the NullL10n should be able to translate everything e.g. without fallback values; see PR 17146.

Files Modified:

  • examples/mobile-viewer/viewer.css
  • examples/mobile-viewer/viewer.html
  • examples/mobile-viewer/viewer.mjs

59c4041a49a792b9be8b2ca2e0f666bbbb58b76f by Jonas Jenwald

https://github.com/mozilla/pdf.js/commit/59c4041a49a792b9be8b2ca2e0f666bbbb58b76f
Authored: 2023-10-14 11:24:56 +0200
Committed: 2023-10-28 10:26:25 +0200

Update the examples/-folder to account for outputting of JavaScript modules (PR 17055 follow-up)

This patch also changes most examples to use "top level await", since that's now supported and slightly simplifies the code.

Files Added:

  • examples/image_decoders/jpeg_viewer.mjs

Files Deleted:

  • examples/image_decoders/jpeg_viewer.js

Files Modified:

  • examples/components/pageviewer.html
  • examples/components/simpleviewer.html
  • examples/components/singlepageviewer.html
  • examples/image_decoders/jpeg_viewer.html
  • examples/learning/helloworld.html
  • examples/learning/helloworld64.html
  • examples/learning/prevnext.html
  • examples/mobile-viewer/viewer.html
  • examples/text-only/index.html

Files Changed:

  • R069 examples/components/pageviewer.js
  • R085 examples/components/simpleviewer.js
  • R086 examples/components/singlepageviewer.js
  • R099 examples/mobile-viewer/viewer.js
  • R094 examples/node/getinfo.js
  • R056 examples/node/pdf2png/pdf2png.js
  • R097 examples/text-only/pdf2svg.js

7d5b970eee6b095a3aa72db4737e6c6f67c77dd6 by Jonas Jenwald

https://github.com/mozilla/pdf.js/commit/7d5b970eee6b095a3aa72db4737e6c6f67c77dd6
Authored: 2023-10-27 19:29:33 +0200
Committed: 2023-10-27 19:29:33 +0200

Collect the forced-colors CSS rules for linkAnnotation in one spot

Files Modified:

  • web/annotation_layer_builder.css

b779e418a54cfb9f8b99c3b001ede25a83ac2779 by Jonas Jenwald

https://github.com/mozilla/pdf.js/commit/b779e418a54cfb9f8b99c3b001ede25a83ac2779
Authored: 2023-10-27 18:42:52 +0200
Committed: 2023-10-27 18:46:47 +0200

Use CSS nesting in the annotationLayer

Files Modified:

  • test/annotation_layer_builder_overrides.css
  • web/annotation_layer_builder.css

525be9afeac29d69c61a260ca0687ab0c0492b16 by Jonas Jenwald

https://github.com/mozilla/pdf.js/commit/525be9afeac29d69c61a260ca0687ab0c0492b16
Authored: 2023-10-27 17:38:01 +0200
Committed: 2023-10-27 17:38:01 +0200

Use CSS nesting in the textLayer

Files Modified:

  • test/text_layer_test.css
  • web/text_layer_builder.css

d293048c5dd8baba9411a65276f50ce44c6fb2b1 by Jonas Jenwald

https://github.com/mozilla/pdf.js/commit/d293048c5dd8baba9411a65276f50ce44c6fb2b1
Authored: 2023-10-27 14:55:12 +0200
Committed: 2023-10-27 16:55:46 +0200

Pause translation when appending the textLayer and structTreeLayer to the page

Note that we must append the textLayer to the DOM before enabling the highlighter and accessibilityManager, to avoid breaking e.g. a pending searching operation.
The least invasive solution, that I was able to come up with, is to introduce a new TextLayerBuilder callback-function for this purpose.

Files Modified:

  • web/pdf_page_view.js
  • web/text_layer_builder.js

d72fd9ce4f1c4727cc07652fa3dc6c1208cd7d53 by Calixte Denizet

https://github.com/mozilla/pdf.js/commit/d72fd9ce4f1c4727cc07652fa3dc6c1208cd7d53
Authored: 2023-10-26 22:44:35 +0200
Committed: 2023-10-27 16:10:06 +0200

Fix intermittents failure on mac

Files Modified:

  • test/integration/find_spec.mjs
  • test/integration/freetext_editor_spec.mjs
  • test/integration/test_utils.mjs

517a262fb1f1dedf946ecd022c32637c96e86113 by Calixte Denizet

https://github.com/mozilla/pdf.js/commit/517a262fb1f1dedf946ecd022c32637c96e86113
Authored: 2023-10-26 22:42:41 +0200
Committed: 2023-10-27 16:09:35 +0200

Fix keyboard shortcuts on mac and for some tests make sure that all the page is displayed in using page-fit in order to make all tested elements visible.

Files Modified:

  • test/integration/copy_paste_spec.mjs
  • test/integration/freetext_editor_spec.mjs
  • test/integration/ink_editor_spec.mjs
  • test/integration/scripting_spec.mjs
  • test/integration/stamp_editor_spec.mjs
  • test/integration/test_utils.mjs

487816bd680d3a7f2c35990be6a048fe40bfad15 by Francesco Lodolo

https://github.com/mozilla/pdf.js/commit/487816bd680d3a7f2c35990be6a048fe40bfad15
Authored: 2023-10-26 16:19:53 +0200
Committed: 2023-10-26 17:27:42 +0200

Add workflow to lint Fluent en-US files

Files Added:

  • .github/fluent_linter_config.yml
  • .github/requirements.txt
  • .github/workflows/fluent_linter.yml

069096e78f0fce430037eb27f4f56b281fdbcf7b by Jonas Jenwald

https://github.com/mozilla/pdf.js/commit/069096e78f0fce430037eb27f4f56b281fdbcf7b
Authored: 2023-10-26 13:36:42 +0200
Committed: 2023-10-26 13:36:42 +0200

Fix WidgetAnnotationElement._getKeyModifier to account for Linux

Currently the WidgetAnnotationElement._getKeyModifier method will always be falsy on Linux, which seems like a simple oversight. Looking at all the other FeatureTest.platform accesses we only handle the isMac-case specially, and it seems reasonable to do the same thing here.
The reason that this hasn't led to any bug reports is most likely that the modifier-property seems completely unused in the scripting-implementation.

Finally, with these changes we can (slightly) simplify the FeatureTest.platform implementation.

Files Modified:

  • src/display/annotation_layer.js
  • src/shared/util.js

097f214222a70ef1f2cb8cd12e146b0a19ddf907 by Jonas Jenwald

https://github.com/mozilla/pdf.js/commit/097f214222a70ef1f2cb8cd12e146b0a19ddf907
Authored: 2023-10-26 12:05:33 +0200
Committed: 2023-10-26 12:05:33 +0200

Handle appending consistently in the xfaLayer regardless of rendering intent (PR 17177 follow-up)

After PR 17177 the interface of XfaLayerBuilder is now inconsistent, since whether or not we directly append the xfaLayer to the DOM now depends on the rendering intent.

Files Modified:

  • web/pdf_page_view.js
  • web/print_utils.js
  • web/xfa_layer_builder.js

399f444c84a60dde13a66ee0732bf87d35973626 by Jonas Jenwald

https://github.com/mozilla/pdf.js/commit/399f444c84a60dde13a66ee0732bf87d35973626
Authored: 2023-10-25 20:03:07 +0200
Committed: 2023-10-25 20:33:39 +0200

Pause translation when appending the xfaLayer to the page

Files Modified:

  • web/l10n_utils.js
  • web/pdf_page_view.js
  • web/xfa_layer_builder.js

0c38c6e10340b417f5cebbec36658e4cbff80126 by Calixte Denizet

https://github.com/mozilla/pdf.js/commit/0c38c6e10340b417f5cebbec36658e4cbff80126
Authored: 2023-10-24 23:22:36 +0200
Committed: 2023-10-25 17:50:53 +0200

Improve performance of optional content parsing

Files Modified:

  • src/core/catalog.js

6b265b3a15633e2e0f168d7718ee892100ca9f59 by Jonas Jenwald

https://github.com/mozilla/pdf.js/commit/6b265b3a15633e2e0f168d7718ee892100ca9f59
Authored: 2023-10-25 17:10:58 +0200
Committed: 2023-10-25 17:38:02 +0200

Pause translation when appending the outline/attachment/layer trees to the sidebar

Also, pause translation when collapsing/expanding subtrees.

Files Modified:

  • web/app.js
  • web/base_tree_viewer.js
  • web/interfaces.js
  • web/l10n.js
  • web/l10n_utils.js
  • web/pdf_layer_viewer.js

b575de98603243e499d01c06d9b1515ab0e644ef by Jonas Jenwald

https://github.com/mozilla/pdf.js/commit/b575de98603243e499d01c06d9b1515ab0e644ef
Authored: 2023-10-25 13:36:01 +0200
Committed: 2023-10-25 13:38:51 +0200

Remove obsolete entries in the lint-ignore files

  • The external/webL10n/ directory was removed in PR 17115.

  • The src/shared/{cffStandardStrings, fonts_utils}.js files were removed in PR 17120.

Files Modified:

  • .eslintignore
  • .stylelintignore

2967eca605919d2ee9ef319a2d572ddd487a9bfb by Calixte Denizet

https://github.com/mozilla/pdf.js/commit/2967eca605919d2ee9ef319a2d572ddd487a9bfb
Authored: 2023-10-25 12:47:06 +0200
Committed: 2023-10-25 12:47:06 +0200

Update the path to get all locales and update locales

Files Added:

  • l10n/ach/viewer.ftl
  • l10n/af/viewer.ftl
  • l10n/an/viewer.ftl
  • l10n/ar/viewer.ftl
  • l10n/ast/viewer.ftl
  • l10n/az/viewer.ftl
  • l10n/be/viewer.ftl
  • l10n/bg/viewer.ftl
  • l10n/bn/viewer.ftl
  • l10n/bo/viewer.ftl
  • l10n/br/viewer.ftl
  • l10n/brx/viewer.ftl
  • l10n/bs/viewer.ftl
  • l10n/ca/viewer.ftl
  • l10n/cak/viewer.ftl
  • l10n/ckb/viewer.ftl
  • l10n/cs/viewer.ftl
  • l10n/cy/viewer.ftl
  • l10n/da/viewer.ftl
  • l10n/dsb/viewer.ftl
  • l10n/el/viewer.ftl
  • l10n/en-CA/viewer.ftl
  • l10n/en-GB/viewer.ftl
  • l10n/eo/viewer.ftl
  • l10n/es-AR/viewer.ftl
  • l10n/es-CL/viewer.ftl
  • l10n/es-ES/viewer.ftl
  • l10n/es-MX/viewer.ftl
  • l10n/et/viewer.ftl
  • l10n/eu/viewer.ftl
  • l10n/fa/viewer.ftl
  • l10n/ff/viewer.ftl
  • l10n/fi/viewer.ftl
  • l10n/fr/viewer.ftl
  • l10n/fur/viewer.ftl
  • l10n/fy-NL/viewer.ftl
  • l10n/ga-IE/viewer.ftl
  • l10n/gd/viewer.ftl
  • l10n/gl/viewer.ftl
  • l10n/gn/viewer.ftl
  • l10n/gu-IN/viewer.ftl
  • l10n/he/viewer.ftl
  • l10n/hi-IN/viewer.ftl
  • l10n/hr/viewer.ftl
  • l10n/hsb/viewer.ftl
  • l10n/hu/viewer.ftl
  • l10n/hy-AM/viewer.ftl
  • l10n/hye/viewer.ftl
  • l10n/ia/viewer.ftl
  • l10n/id/viewer.ftl
  • l10n/is/viewer.ftl
  • l10n/it/viewer.ftl
  • l10n/ja/viewer.ftl
  • l10n/ka/viewer.ftl
  • l10n/kab/viewer.ftl
  • l10n/kk/viewer.ftl
  • l10n/km/viewer.ftl
  • l10n/kn/viewer.ftl
  • l10n/ko/viewer.ftl
  • l10n/lij/viewer.ftl
  • l10n/lo/viewer.ftl
  • l10n/lt/viewer.ftl
  • l10n/ltg/viewer.ftl
  • l10n/lv/viewer.ftl
  • l10n/meh/viewer.ftl
  • l10n/mk/viewer.ftl
  • l10n/mr/viewer.ftl
  • l10n/ms/viewer.ftl
  • l10n/my/viewer.ftl
  • l10n/nb-NO/viewer.ftl
  • l10n/ne-NP/viewer.ftl
  • l10n/nl/viewer.ftl
  • l10n/nn-NO/viewer.ftl
  • l10n/oc/viewer.ftl
  • l10n/pa-IN/viewer.ftl
  • l10n/pl/viewer.ftl
  • l10n/pt-BR/viewer.ftl
  • l10n/pt-PT/viewer.ftl
  • l10n/rm/viewer.ftl
  • l10n/ro/viewer.ftl
  • l10n/ru/viewer.ftl
  • l10n/sat/viewer.ftl
  • l10n/sc/viewer.ftl
  • l10n/scn/viewer.ftl
  • l10n/sco/viewer.ftl
  • l10n/si/viewer.ftl
  • l10n/sk/viewer.ftl
  • l10n/skr/viewer.ftl
  • l10n/sl/viewer.ftl
  • l10n/son/viewer.ftl
  • l10n/sq/viewer.ftl
  • l10n/sr/viewer.ftl
  • l10n/sv-SE/viewer.ftl
  • l10n/szl/viewer.ftl
  • l10n/ta/viewer.ftl
  • l10n/te/viewer.ftl
  • l10n/tg/viewer.ftl
  • l10n/th/viewer.ftl
  • l10n/tl/viewer.ftl
  • l10n/tr/viewer.ftl
  • l10n/trs/viewer.ftl
  • l10n/uk/viewer.ftl
  • l10n/ur/viewer.ftl
  • l10n/uz/viewer.ftl
  • l10n/vi/viewer.ftl
  • l10n/wo/viewer.ftl
  • l10n/xh/viewer.ftl
  • l10n/zh-CN/viewer.ftl
  • l10n/zh-TW/viewer.ftl

Files Modified:

  • external/importL10n/locales.mjs
  • l10n/de/viewer.ftl

846bd86520c671ad25900b9791e0d328f5bc0604 by Jonas Jenwald

https://github.com/mozilla/pdf.js/commit/846bd86520c671ad25900b9791e0d328f5bc0604
Authored: 2023-10-25 12:11:57 +0200
Committed: 2023-10-25 12:11:57 +0200

Fix error that's breaking the ConstL10n class (PR 17161 follow-up)

I forgot to include web/l10n_utils.js in PR 17161, which currently breaks ConstL10n since there's no longer a method called setL10n; sorry about that!

Files Modified:

  • web/l10n_utils.js

133ed96f8f4f8efca120a893a62e9df20639f5b1 by Calixte Denizet

https://github.com/mozilla/pdf.js/commit/133ed96f8f4f8efca120a893a62e9df20639f5b1
Authored: 2023-10-25 09:41:22 +0200
Committed: 2023-10-25 10:16:14 +0200

Don't take into account the INVISIBLE flag for well-known annotations

Files Added:

  • test/pdfs/issue17169.pdf.link

Files Modified:

  • src/core/annotation.js
  • test/test_manifest.json
  • test/unit/annotation_spec.js

651057c039df95e81338f860dab40565161ea887 by Calixte Denizet

https://github.com/mozilla/pdf.js/commit/651057c039df95e81338f860dab40565161ea887
Authored: 2023-10-24 23:10:08 +0200
Committed: 2023-10-25 10:11:14 +0200

Slightly improve the performance of removeNullCharacters

Most of the strings shouldn't contain special chars (<= 0x1F) so we can
have a fast path which just checks if the string contains at least one such
a char.

Files Modified:

  • web/ui_utils.js

bcb01e5e2b8d80927f0c9f983fbd6f7e2b85b629 by Jonas Jenwald

https://github.com/mozilla/pdf.js/commit/bcb01e5e2b8d80927f0c9f983fbd6f7e2b85b629
Authored: 2023-10-24 13:17:02 +0200
Committed: 2023-10-24 13:17:02 +0200

Tweak the matchCount l10n-args handling slightly (PR 17146 follow-up)

Given that providing unused parameters in the l10n-args shouldn't be a problem, let's simplify the relevant JavaScript code a tiny bit.

Files Modified:

  • web/pdf_find_bar.js

e2af77fd6cb014536d00bc3c14cb8d13a732503f by Jonas Jenwald

https://github.com/mozilla/pdf.js/commit/e2af77fd6cb014536d00bc3c14cb8d13a732503f
Authored: 2023-10-24 13:13:14 +0200
Committed: 2023-10-24 13:13:14 +0200

Add a unit-test to ensure that NullL10n won't diverge from the L10n-class

To prevent the standalone viewer-components from breaking, we need to ensure that the NullL10n-interface won't accidentally diverge from the actual L10n-implementations.

Files Modified:

  • test/unit/pdf_viewer.component_spec.js
  • web/genericl10n.js
  • web/l10n.js

2f3797db343bbbe081b809c6a2618c4bdc1e3dfc by Calixte Denizet

https://github.com/mozilla/pdf.js/commit/2f3797db343bbbe081b809c6a2618c4bdc1e3dfc
Authored: 2023-10-23 22:11:30 +0200
Committed: 2023-10-23 22:11:30 +0200

[Annotation] Use the field V entry when there is no Parent one for a radio button (bug 1860602)

Files Added:

Files Modified:

  • src/core/annotation.js
  • test/test_manifest.json

e820688510e2c1c24088e76a178a82ef8ebcaf4d by Jonas Jenwald

https://github.com/mozilla/pdf.js/commit/e820688510e2c1c24088e76a178a82ef8ebcaf4d
Authored: 2023-09-20 09:09:52 +0200
Committed: 2023-10-19 15:45:07 +0200

Remove the enableStampEditor preference

Files Modified:

  • extensions/chromium/preferences_schema.json
  • web/app.js
  • web/app_options.js
  • web/viewer.html

Assignee: nobody → update-bot
Status: NEW → ASSIGNED

All the jobs in the try run succeeded. Like literally all of them, there weren't
even any intermittents. That is pretty surprising to me, so maybe you should double
check to make sure I didn't misinterpret things and that the correct tests ran...

Anyway, I've done all I can, so I'm passing to you to review and land the patch.
When reviewing, please note that this is external code, which needs a full and
careful inspection - not a rubberstamp.

Assignee: update-bot → cdenizet
Pushed by cdenizet@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/ebd0923f125b
Update PDF.js to 0329b5e130d4db21b897967daa02e6652c1f44af r=pdfjs-reviewers,calixte
Status: ASSIGNED → RESOLVED
Closed: 4 months ago
Resolution: --- → FIXED
Target Milestone: --- → 121 Branch
Regressions: 1861913
No longer regressions: 1861913
You need to log in before you can comment on or make changes to this bug.